Bug 697585 - RHQ/JON cannot find httpd executable path for a default EWS Apache installation
RHQ/JON cannot find httpd executable path for a default EWS Apache installation
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.3.1
Unspecified Unspecified
high Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: jon3 jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-04-18 12:45 EDT by dsteigne
Modified: 2012-02-07 14:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2011-04-18 12:45:42 EDT
Description of problem:
The JON Agent (version 3.0.1-GA) generates the following Warning message:

2011-04-07 14:32:08,132 WARN [ResourceDiscoveryComponent.invoker.daemon-21] (org.rhq.plugins.apache.ApacheServerDiscoveryComponent)- Discovery of Apache process [process: pid=[18558], name=[httpd], ppid=[1]] failed: Executable path (./httpd) is not absolute.Please restart Apache specifying an absolute path for the executable. 

The default EWS Apache instance, <EWS_HOME>/httpd/sbin/apachectl uses a relative not an absolute path for the variable HTTPD. So the agent cannot find it.


Version-Release number of selected component (if applicable):
2.4.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lukas Krejci 2011-10-31 11:21:20 EDT
While after unzipping the EWS installation ZIP, the apachectl script does contain the relative path, the path gets replaced by a full path after completing the installations steps:

http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Web_Server/1.0/html/Installation_Guide/sec-Configuring_the_Environment-Linux-ZIP.html

namely the step 3.13.

Debbie, how did you install your EWS so that I can try and replicate this?
Comment 2 Larry O'Leary 2011-10-31 16:47:46 EDT
Lukas,

Step 3.13 was not performed. Which would explain why the path was not absolute. Seems like this bug can be closed as WORKSFORME with an explanation that step 3.13 of the EWS installation guide must be performed in order for the Apache instance of EWS to be discoverable.
Comment 3 Lukas Krejci 2011-11-01 12:17:50 EDT
As Larry outlined above, this is not really a bug. Nevertheless, I improved the warning we output to logs so that it is more clear what the symptoms might be.

We ARE able to detect the full path of the executable even if httpd was started with a relative path as long as the user running the agent has enough privs to read the commadline params of the httpd process.

master: a88a1fe19b338d09f593bd6ebeaa5313bf7264e7
release_jon3.x: 4f157acecc7a902bf9ff431c8031314652fdff1f

    BZ 697585 - A better warning message if an absolute path of httpd
    executable can't be established + a little bit of paranoia when trying
    to figure out the absolute path.
Comment 4 Sunil Kondkar 2011-11-22 08:11:00 EST
Verified on build#18 in rhq-release-gwt-locales branch.

Started the default EWS Apache instance <EWS_HOME>/httpd/sbin/apachectl (without completing the installations step 3.13)

Verified that the EWS apache instance is discovered and shows the full executable path as "/install/ews/jboss-ews-1.0/httpd/sbin/httpd" in connection settings.
Comment 5 Mike Foley 2012-02-07 14:26:21 EST
marking VERIFIED JON 3 bugs to CLOSED/CURRENTRELEASE
Comment 6 Mike Foley 2012-02-07 14:27:52 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.